import React from 'react';
import { motion } from 'framer-motion';
import { Terminal, Server, Database } from 'lucide-react';

export default function Hero() {
  return (
    <div className="relative overflow-hidden">
      <div className="absolute inset-0 z-0">
        <div className="absolute inset-0 bg-gradient-to-br from-gray-900 via-gray-800 to-black opacity-90" />
      </div>
      
      <motion.div
        initial={{ opacity: 0, y: 20 }}
        animate={{ opacity: 1, y: 0 }}
        transition={{ duration: 0.8 }}
        className="relative z-10 px-6 py-24 mx-auto max-w-7xl"
      >
        <div className="flex flex-col items-center text-center">
          <motion.div
            initial={{ scale: 0 }}
            animate={{ scale: 1 }}
            transition={{ duration: 0.5 }}
            className="p-2 rounded-full bg-cyan-500/10 mb-6"
          >
            <Terminal className="w-12 h-12 text-cyan-400" />
          </motion.div>
          
          <motion.h1
            initial={{ opacity: 0, y: 20 }}
            animate={{ opacity: 1, y: 0 }}
            transition={{ delay: 0.2 }}
            className="text-5xl md:text-6xl font-bold text-white mb-6"
          >
            Kaby_Kun
          </motion.h1>
          
          <motion.p
            initial={{ opacity: 0, y: 20 }}
            animate={{ opacity: 1, y: 0 }}
            transition={{ delay: 0.4 }}
            className="text-xl text-gray-400 max-w-2xl mb-8"
          >
            Backend Developer & Infrastructure Specialist
          </motion.p>
          
          <div className="flex space-x-6">
            <Server className="w-8 h-8 text-cyan-400" />
            <Database className="w-8 h-8 text-cyan-400" />
            <Terminal className="w-8 h-8 text-cyan-400" />
          </div>
        </div>
      </motion.div>
    </div>
  );
}