import React from 'react';
import { motion } from 'framer-motion';
import { Server, HardDrive } from 'lucide-react';

export default function Infrastructure() {
  return (
    <div className="w-full max-w-6xl mx-auto">
      <motion.div
        initial={{ opacity: 0 }}
        animate={{ opacity: 1 }}
        transition={{ duration: 0.5 }}
        className="grid grid-cols-1 md:grid-cols-2 gap-8"
      >
        <div className="bg-gray-800 rounded-xl p-8 hover:bg-gray-700 transition-colors">
          <div className="flex items-center space-x-4 mb-6">
            <Server className="w-8 h-8 text-cyan-400" />
            <h3 className="text-2xl font-bold text-white">Server Infrastructure</h3>
          </div>
          <ul className="space-y-4 text-gray-300">
            <li className="flex items-start space-x-3">
              <HardDrive className="w-5 h-5 text-cyan-400 mt-1" />
              <div>
                <span className="font-semibold">Lenovo System x3950 X6</span>
                <p className="text-gray-400">Enterprise-grade server for heavy workloads</p>
              </div>
            </li>
            <li className="flex items-start space-x-3">
              <HardDrive className="w-5 h-5 text-cyan-400 mt-1" />
              <div>
                <span className="font-semibold">Dell PowerEdge R620</span>
                <p className="text-gray-400">High-performance rack server</p>
              </div>
            </li>
            <li className="flex items-start space-x-3">
              <HardDrive className="w-5 h-5 text-cyan-400 mt-1" />
              <div>
                <span className="font-semibold">Custom Builds</span>
                <p className="text-gray-400">Self-made infrastructure solutions</p>
              </div>
            </li>
          </ul>
        </div>

        <div className="bg-gray-800 rounded-xl p-8 hover:bg-gray-700 transition-colors">
          <img 
            src="https://images.unsplash.com/photo-1558494949-ef010cbdcc31?auto=format&fit=crop&q=80&w=2034"
            alt="Server Room"
            className="w-full h-64 object-cover rounded-lg mb-6"
          />
          <p className="text-gray-300">
            Running a sophisticated home lab environment with enterprise-grade hardware,
            enabling experimentation with various technologies and hosting solutions.
          </p>
        </div>
      </motion.div>
    </div>
  );
}